PKIXAttrCertPathBuilderSpi (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.jce.provider

## Class PKIXAttrCertPathBuilderSpi

- java.lang.Object
- - java.security.cert.CertPathBuilderSpi
  - - org.bouncycastle.jce.provider.PKIXAttrCertPathBuilderSpi

-     public class PKIXAttrCertPathBuilderSpi
      extends java.security.cert.CertPathBuilderSpi

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PKIXAttrCertPathBuilderSpi()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.security.cert.CertPathBuilderResult` | `engineBuild(java.security.cert.CertPathParameters params)` Build and validate a CertPath using the given parameter.
    `protected static java.util.Collection` | `findCertificates(org.bouncycastle.x509.X509AttributeCertStoreSelector certSelect, java.util.List certStores)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PKIXAttrCertPathBuilderSpi

          public PKIXAttrCertPathBuilderSpi()

  - ### Method Detail

    - #### engineBuild

          public java.security.cert.CertPathBuilderResult engineBuild(java.security.cert.CertPathParameters params)
                                                               throws java.security.cert.CertPathBuilderException,
                                                                      java.security.InvalidAlgorithmParameterException

      Build and validate a CertPath using the given parameter.
      Specified by:
        `engineBuild` in class `java.security.cert.CertPathBuilderSpi`
      Parameters:
        `params` - PKIXBuilderParameters object containing all information to build the CertPath
      Throws:
        `java.security.cert.CertPathBuilderException`
        `java.security.InvalidAlgorithmParameterException`

    - #### findCertificates

          protected static java.util.Collection findCertificates(org.bouncycastle.x509.X509AttributeCertStoreSelector certSelect,
                                              java.util.List certStores)
                                                          throws AnnotatedException

      Throws:
        `AnnotatedException`